=== debian/control ===
Source: ros-foxy-image-view
Section: misc
Priority: optional
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-dev, ros-foxy-ament-cmake-auto, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-camera-calibration-parsers, ros-foxy-cv-bridge, ros-foxy-image-transport, ros-foxy-message-filters, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-sensor-msgs, ros-foxy-std-srvs, ros-foxy-stereo-msgs, ros-foxy-ros-workspace
Homepage: https://index.ros.org/p/image_view/github-ros-perception-image_pipeline/
Standards-Version: 3.9.2

Package: ros-foxy-image-view
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-dev, ros-foxy-camera-calibration-parsers, ros-foxy-cv-bridge, ros-foxy-image-transport, ros-foxy-message-filters, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-sensor-msgs, ros-foxy-std-srvs, ros-foxy-stereo-msgs, ros-foxy-ros-workspace
Description: A simple viewer for ROS image topics.
 Includes a specialized viewer for stereo + disparity images.
